Recover from the corrupted state and allow further actions on the queue

- « SplPriorityQueue::next

- SplPriorityQueue::rewind »

- PHP Manual
- SplPriorityQueue
- Recover from the corrupted state and allow further actions on the queue

# SplPriorityQueue::recoverFromCorruption

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplPriorityQueue::recoverFromCorruption — Recover from the corrupted state and allow further actions on the queue

### Description

public SplPriorityQueue::recoverFromCorruption(): true

### Parameters

This function has no parameters.

### Return Values

Always returns `true`.

### Changelog

Version | Description
--- | ---
8.4.0 | SplPriorityQueue::recoverFromCorruption() now has a tentative return of true.